<template>
    <div class="list container">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Ma so</th>
                    <th scope="col">Ten</th>
                    <th scope="col">Gioi tinh</th>
                    <th scope="col">So thich</th>
                    <th scope="col">Tuy chon</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(student, index) in students" :key="index">
                    <td>{{ student.code }}</td>
                    <td>{{ student.name }}</td>
                    <td>{{ student.sex }}</td>
                    <td>{{ student.hobbies }}</td>
                    <td>
                        <button
                            class="btn btn-warning"
                            @click="editStudent(student)"
                        >
                            Sua
                        </button>
                        <button
                            class="btn btn-danger ms-1"
                            @click="deleteStudent(student)"
                        >
                            Xoa
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
        <edit-student
            v-show="isEditing"
            :student="student"
            @edit-student="hintEdit"
        />
    </div>
</template>

<script>
import EditStudent from "./EditStudent.vue";
export default {
    props: ["students"],
    components: { EditStudent },
    methods: {
        deleteStudent(student) {
            this.$emit("delete-student", student);
        },
        editStudent(student) {
            this.student = student;
            this.isEditing = true;
        },

        formAddStudent() {
            this.isAdding = true;
        },
        hintEdit() {
            this.isEditing = false;
        },
    },
    data() {
        return {
            isEditing: false,
            isAdding: false,
            student: {},
        };
    },
};
</script>

<style></style>
